Problem mit emerge... (Masked Packages)

Dieses Thema im Forum "Gentoo" wurde erstellt von nathanhi, 19.03.2008.

  1. #1 nathanhi, 19.03.2008
    nathanhi

    nathanhi Mitglied

    Dabei seit:
    26.12.2007
    Beiträge:
    41
    Zustimmungen:
    0
    Ort:
    Flensburg
    Hallo,
    bin relativ neu bei Gentoo hatte es bis jetzt nur auf dem Server. Wollte es jetzt mal bei mir am Desktop installieren. Grundinstallation ging soweit, die is ja nich so schwer.. Aber immer wenn ich Gnome und den ganzen Kram installieren will kommt folgende Meldung :

    Code:
    # emerge -av xorg-x11 gnome-light firefox pidgin                       
                                                                                    
    These are the packages that would be merged, in order:                          
                                                                                    
    Calculating dependencies                t                                       
    !!! All ebuilds that could satisfy ">=gnome-base/control-center-2.20.1" have bee
    n masked.                                                                       
    !!! One of the following masked packages is required to complete your request:  
    - gnome-base/control-center-2.20.3 (masked by: required EAPI 1, supported EAPI 0
    )                                                                               
    
    For more information, see MASKED PACKAGES section in the emerge man page or 
    refer to the Gentoo Handbook.
    (dependency required by "gnome-base/gnome-light-2.20.3" [ebuild])
    
    Hier meine make.conf

    Code:
    # These settings were set by the catalyst build script that automatically
    # built this stage.
    # Please consult /etc/make.conf.example for a more detailed example.
    CFLAGS="-O2 -mtune=i686 -pipe"
    CXXFLAGS="${CFLAGS}"
    # This should not be changed unless you know exactly what you are doing.  You
    # should probably be using a different stage, instead.
    CHOST="i686-pc-linux-gnu"
    MAKEOPTS="-j2"
    USE="x86 3dnow 3dnowext mmxext X alsa apm audiofile bash-completition arts cddb \
            cdr cgi cups css mmx dbus directfb dri dvd dvdr dvdread encode esd ffmpeg \
            firefox flac ftp geoip gif gimp gnome gnutls gphoto gpm gtk gstreamer gtkhtml \
            hal icq imagemagick imap imlib ipv6 jabber jack java java6 javascript jikes \
            jingle joystick jpeg jpeg2k lame libcaca libedit libgda libnotify \
            libsamplerate libwww lm_sensors maildir mbox mcal memlimit mime mng motif \
            mozilla mp3 mpeg mplayer msn musepack networkmanager ogg openal openexr opengl \
            oss pdf php png python quicktime raw rdesktop readline rss samba scanner sdl \
            spl sse ssl startup-notification svga szip tcpd usb vcd videos win32codecs wmf \
            wxwindows xattr xcomposite xine xvid yahoo zlib aac aalib avi cdparanoia divx
            dv live mad mjpeg real vidix xv"
    FEATURES="candy"
    ACCEPT_KEYWORDS="~x86"
    
    Was mach ich falsch? Bitte um rasche Hilfe brauche den Rechner für ein Referat am Montag...
     
  2. Anzeige

    Schau dir mal diese Kategorie an. Dort findest du bestimmt etwas.
    Registrieren bzw. einloggen, um diese und auch andere Anzeigen zu deaktivieren
  3. #2 supersucker, 19.03.2008
    supersucker

    supersucker Foren Gott

    Dabei seit:
    21.02.2005
    Beiträge:
    3.873
    Zustimmungen:
    0
  4. #3 nathanhi, 19.03.2008
    nathanhi

    nathanhi Mitglied

    Dabei seit:
    26.12.2007
    Beiträge:
    41
    Zustimmungen:
    0
    Ort:
    Flensburg
    Hi,
    hab das schon probiert alles...

    Code:
    ubuntu / # echo "gnome-base/control-center" >> /etc/portage/package.keywords    
    ubuntu / # emerge -av xorg-x11 gnome-light firefox pidgin                       
                                                                                    
    These are the packages that would be merged, in order:                          
                                                                                    
    Calculating dependencies         s                                              
    !!! All ebuilds that could satisfy ">=gnome-base/control-center-2.20.1" have bee
    n masked.                                                                       
    !!! One of the following masked packages is required to complete your request:  
    - gnome-base/control-center-2.20.3 (masked by: required EAPI 1, supported EAPI 0
    )                                                                               
    
    For more information, see MASKED PACKAGES section in the emerge man page or 
    refer to the Gentoo Handbook.
    (dependency required by "gnome-base/gnome-light-2.20.3" [ebuild])
    
    Bin peer chroot in der Umgebung zum Posten halt...
     
  5. Chiron

    Chiron Guest

    Vl hard-masked?
     
  6. #5 nathanhi, 19.03.2008
    nathanhi

    nathanhi Mitglied

    Dabei seit:
    26.12.2007
    Beiträge:
    41
    Zustimmungen:
    0
    Ort:
    Flensburg
    Ich weiß es nicht.. Ich kopier hier mal was ren :

    Code:
    # emerge -av xorg-x11 gnome-light mplayer vlc pidgin
    
    These are the packages that would be merged, in order:
    
    Calculating dependencies       ... done!         
    [nomerge      ] net-im/pidgin-2.3.1  USE="dbus gnutls gstreamer gtk ncurses networkmanager nls perl -bonjour -debug -doc -eds -gadu -groupwise -meanwhile -prediction -qq -sasl -silc -spell -tcl -tk -zephyr" 
    [nomerge      ]  net-misc/networkmanager-0.6.5_p20070823  USE="crypt gnome -debug -doc" 
    [ebuild  N    ]   gnome-extra/nm-applet-0.6.5  USE="libnotify -debug -doc" 
    [ebuild  N    ]    net-misc/networkmanager-0.6.5_p20070823  USE="crypt gnome -debug -doc" 
    [nomerge      ] gnome-base/gnome-light-2.20.3  
    [nomerge      ]  gnome-base/libbonoboui-2.20.0  USE="X -debug -doc" 
    [nomerge      ]   gnome-base/gnome-vfs-2.20.1-r1  USE="acl gnutls hal ipv6 samba ssl -avahi -debug -doc -kerberos" 
    [ebuild  N    ]    gnome-base/gnome-mount-0.6  USE="gnome -debug" 
    [ebuild  N    ]     gnome-base/nautilus-2.20.0-r1  USE="X esd gnome -beagle -debug -tracker" 
    [ebuild  N    ]      gnome-base/eel-2.20.0  USE="X -debug" 
    [ebuild  N    ]  gnome-base/gnome-panel-2.20.3  USE="-debug -doc -eds" 
    [ebuild  N    ]   gnome-base/gnome-menus-2.20.3  USE="python -debug" 
    [ebuild  N    ]    dev-python/pygtk-2.12.0  USE="opengl -doc -examples" 
    [ebuild  N    ]     dev-python/pycairo-1.4.12  USE="-examples" 
    [ebuild  N    ]  gnome-base/librsvg-2.20.0  USE="gnome zlib -debug -doc" 
    [ebuild  N    ]   x11-libs/cairo-1.4.12  USE="X directfb opengl -debug -doc -glitz -svg -xcb" 
    [ebuild  N    ]    dev-libs/DirectFB-0.9.25.1  USE="gif jpeg mmx mpeg png sdl sse zlib -debug -fbcon -fusion -sysfs -truetype -v4l -v4l2" 
    [ebuild  N    ]     media-libs/libsdl-1.2.11-r2  USE="X aalib alsa arts directfb esd libcaca opengl oss svga xv -custom-cflags -dga -fbcon -ggi -nas -noaudio -nojoystick -novideo -xinerama" 
    [ebuild  N    ]   gnome-extra/libgsf-1.14.7  USE="gnome python -bzip2 -debug -doc" 
    [ebuild  N    ]  gnome-base/gnome-desktop-2.20.3  USE="-debug -doc" 
    [ebuild  N    ]   gnome-base/libgnomeui-2.20.1.1  USE="jpeg -debug -doc" 
    [ebuild  N    ]    gnome-base/libbonoboui-2.20.0  USE="X -debug -doc" 
    [ebuild  N    ]     gnome-base/libgnome-2.20.1.1  USE="esd -debug -doc" 
    [ebuild  N    ]      gnome-base/gnome-vfs-2.20.1-r1  USE="acl gnutls hal ipv6 samba ssl -avahi -debug -doc -kerberos" 
    [nomerge      ] gnome-extra/nm-applet-0.6.5  USE="libnotify -debug -doc" 
    [ebuild  N    ]  x11-libs/libnotify-0.4.4  USE="-doc" 
    [ebuild  N    ]   x11-misc/notification-daemon-0.3.7  USE="-debug" 
    [ebuild  N    ]    x11-libs/libsexy-0.1.11  USE="-debug -doc" 
    [nomerge      ] gnome-base/gnome-light-2.20.3  
    [nomerge      ]  gnome-base/nautilus-2.20.0-r1  USE="X esd gnome -beagle -debug -tracker" 
    [nomerge      ]   gnome-base/librsvg-2.20.0  USE="gnome zlib -debug -doc" 
    [ebuild  N    ]    gnome-base/libgnomeprintui-2.18.2  USE="-debug -doc" 
    [ebuild  N    ]     gnome-base/libgnomeprint-2.18.4  USE="cups -debug -doc" 
    [ebuild  N    ]     gnome-base/libgnomecanvas-2.20.1.1  USE="X -debug -doc" 
    [ebuild  N    ]      x11-libs/pango-1.18.4  USE="-debug -doc" 
    [nomerge      ] gnome-extra/libgsf-1.14.7  USE="gnome python -bzip2 -debug -doc" 
    [ebuild  N    ]  media-gfx/imagemagick-6.3.7.9  USE="X jpeg jpeg2k openexr perl png wmf zlib -bzip2 -djvu -doc -fontconfig -fpx -graphviz -gs -hdri -jbig -lcms -nocxx -q32 -q8 -svg -tiff -truetype -xml" 
    [ebuild  N    ]   media-libs/libwmf-0.2.8.4  USE="X gtk -debug -doc -expat -gd -xml" 
    [nomerge      ] gnome-base/gnome-light-2.20.3  
    [nomerge      ]  x11-terms/gnome-terminal-2.18.4  USE="-debug" 
    [nomerge      ]   x11-libs/vte-0.16.12  USE="opengl python -debug -doc" 
    [nomerge      ]    dev-python/pygtk-2.12.0  USE="opengl -doc -examples" 
    [ebuild  N    ]     x11-libs/gtkglarea-1.99.0  USE="-debug" 
    [nomerge      ] gnome-base/gnome-light-2.20.3  
    [nomerge      ]  gnome-base/libgnomecanvas-2.20.1.1  USE="X -debug -doc" 
    [ebuild  N    ]   gnome-base/gail-1.20.2  USE="-debug -doc" 
    [nomerge      ] media-libs/libwmf-0.2.8.4  USE="X gtk -debug -doc -expat -gd -xml" 
    [ebuild  N    ]  virtual/ghostscript-0  
    [nomerge      ] gnome-base/gnome-light-2.20.3  
    [ebuild  N    ]  x11-libs/libwnck-2.20.3  USE="-debug -doc" 
    [nomerge      ] media-libs/libwmf-0.2.8.4  USE="X gtk -debug -doc -expat -gd -xml" 
    [ebuild  N    ]  app-text/ghostscript-gpl-8.61-r3  USE="X cups gtk -bindist -cjk -djvu" 
    [nomerge      ] gnome-extra/nm-applet-0.6.5  USE="libnotify -debug -doc" 
    [ebuild  N    ]  gnome-base/gnome-keyring-2.20.3  USE="hal pam -debug -doc -test" 
    [ebuild  N    ]  gnome-base/libglade-2.6.2  USE="-debug -doc" 
    [ebuild  N    ]  gnome-base/gconf-2.20.1-r1  USE="-debug -doc -ldap" 
    [ebuild  N    ]   x11-libs/gtk+-2.12.8  USE="X cups jpeg -debug -doc -tiff -vim-syntax -xinerama" 
    !!! Error: circular dependencies:
    
    ('ebuild', '/', 'gnome-base/gnome-panel-2.20.3', 'merge') depends on
       ('ebuild', '/', 'x11-libs/pango-1.18.4', 'merge') (hard)
       ('ebuild', '/', 'gnome-base/libbonoboui-2.20.0', 'merge') (hard)
       ('ebuild', '/', 'gnome-base/libgnome-2.20.1.1', 'merge') (hard)
       ('ebuild', '/', 'gnome-base/gconf-2.20.1-r1', 'merge') (hard)
       ('ebuild', '/', 'x11-libs/gtk+-2.12.8', 'merge') (hard)
       ('ebuild', '/', 'x11-libs/libwnck-2.20.3', 'merge') (hard)
       ('ebuild', '/', 'gnome-base/libgnomeui-2.20.1.1', 'merge') (hard)
       ('ebuild', '/', 'gnome-base/gnome-vfs-2.20.1-r1', 'merge') (hard)
       ('ebuild', '/', 'gnome-base/gnome-menus-2.20.3', 'merge') (hard)
       ('ebuild', '/', 'gnome-base/gnome-desktop-2.20.3', 'merge') (hard)
       ('ebuild', '/', 'x11-libs/cairo-1.4.12', 'merge') (hard)
       ('ebuild', '/', 'gnome-base/libglade-2.6.2', 'merge') (hard)
    ('ebuild', '/', 'gnome-base/libbonoboui-2.20.0', 'merge') depends on
       ('ebuild', '/', 'gnome-base/gnome-vfs-2.20.1-r1', 'merge') (hard)
       ('ebuild', '/', 'gnome-base/gconf-2.20.1-r1', 'merge') (hard)
       ('ebuild', '/', 'x11-libs/gtk+-2.12.8', 'merge') (hard)
       ('ebuild', '/', 'gnome-base/libgnomecanvas-2.20.1.1', 'merge') (hard)
       ('ebuild', '/', 'gnome-base/libgnome-2.20.1.1', 'merge') (hard)
       ('ebuild', '/', 'gnome-base/libglade-2.6.2', 'merge') (hard)
    ('ebuild', '/', 'x11-libs/cairo-1.4.12', 'merge') depends on
       ('ebuild', '/', 'dev-libs/DirectFB-0.9.25.1', 'merge') (hard)
    ('ebuild', '/', 'media-gfx/imagemagick-6.3.7.9', 'merge') depends on
       ('ebuild', '/', 'media-libs/libwmf-0.2.8.4', 'merge') (hard)
    ('ebuild', '/', 'dev-python/pycairo-1.4.12', 'merge') depends on
       ('ebuild', '/', 'x11-libs/cairo-1.4.12', 'merge') (hard)
    ('ebuild', '/', 'x11-libs/gtkglarea-1.99.0', 'merge') depends on
       ('ebuild', '/', 'x11-libs/gtk+-2.12.8', 'merge') (hard)
    ('ebuild', '/', 'gnome-base/gnome-vfs-2.20.1-r1', 'merge') depends on
       ('ebuild', '/', 'gnome-base/gconf-2.20.1-r1', 'merge') (hard)
       ('ebuild', '/', 'gnome-base/gnome-mount-0.6', 'merge') (medium-soft)
    ('ebuild', '/', 'virtual/ghostscript-0', 'merge') depends on
       ('ebuild', '/', 'app-text/ghostscript-gpl-8.61-r3', 'merge') (medium)
    ('ebuild', '/', 'gnome-base/gnome-mount-0.6', 'merge') depends on
       ('ebuild', '/', 'gnome-base/gnome-keyring-2.20.3', 'merge') (hard)
       ('ebuild', '/', 'gnome-base/gconf-2.20.1-r1', 'merge') (hard)
       ('ebuild', '/', 'x11-libs/gtk+-2.12.8', 'merge') (hard)
       ('ebuild', '/', 'gnome-base/libgnomeui-2.20.1.1', 'merge') (hard)
       ('ebuild', '/', 'gnome-base/nautilus-2.20.0-r1', 'merge') (hard)
       ('ebuild', '/', 'gnome-base/eel-2.20.0', 'merge') (hard)
       ('ebuild', '/', 'x11-libs/libnotify-0.4.4', 'merge') (hard)
       ('ebuild', '/', 'gnome-base/libglade-2.6.2', 'merge') (hard)
    ('ebuild', '/', 'gnome-base/libgnome-2.20.1.1', 'merge') depends on
       ('ebuild', '/', 'gnome-base/gconf-2.20.1-r1', 'merge') (hard)
       ('ebuild', '/', 'gnome-base/gnome-vfs-2.20.1-r1', 'merge') (hard)
    ('ebuild', '/', 'gnome-extra/nm-applet-0.6.5', 'merge') depends on
       ('ebuild', '/', 'gnome-base/gnome-keyring-2.20.3', 'merge') (hard)
       ('ebuild', '/', 'gnome-base/gnome-panel-2.20.3', 'merge') (hard)
       ('ebuild', '/', 'gnome-base/gconf-2.20.1-r1', 'merge') (hard)
       ('ebuild', '/', 'x11-libs/gtk+-2.12.8', 'merge') (hard)
       ('ebuild', '/', 'gnome-base/libgnomeui-2.20.1.1', 'merge') (hard)
       ('ebuild', '/', 'x11-libs/libnotify-0.4.4', 'merge') (hard)
       ('ebuild', '/', 'gnome-base/libglade-2.6.2', 'merge') (hard)
       ('ebuild', '/', 'net-misc/networkmanager-0.6.5_p20070823', 'merge') (hard)
    ('ebuild', '/', 'gnome-base/librsvg-2.20.0', 'merge') depends on
       ('ebuild', '/', 'x11-libs/cairo-1.4.12', 'merge') (hard)
       ('ebuild', '/', 'gnome-base/libgnomeprint-2.18.4', 'merge') (hard)
       ('ebuild', '/', 'x11-libs/gtk+-2.12.8', 'merge') (hard)
       ('ebuild', '/', 'gnome-base/gnome-vfs-2.20.1-r1', 'merge') (hard)
       ('ebuild', '/', 'gnome-base/libgnomeprintui-2.18.2', 'merge') (hard)
       ('ebuild', '/', 'x11-libs/pango-1.18.4', 'merge') (hard)
       ('ebuild', '/', 'gnome-extra/libgsf-1.14.7', 'merge') (hard)
    ('ebuild', '/', 'gnome-base/libglade-2.6.2', 'merge') depends on
       ('ebuild', '/', 'x11-libs/gtk+-2.12.8', 'merge') (hard)
    ('ebuild', '/', 'media-libs/libsdl-1.2.11-r2', 'merge') depends on
       ('ebuild', '/', 'dev-libs/DirectFB-0.9.25.1', 'merge') (hard)
    ('ebuild', '/', 'x11-libs/libnotify-0.4.4', 'merge') depends on
       ('ebuild', '/', 'x11-libs/gtk+-2.12.8', 'merge') (hard)
       ('ebuild', '/', 'x11-misc/notification-daemon-0.3.7', 'merge') (hard)
    ('ebuild', '/', 'gnome-base/libgnomeui-2.20.1.1', 'merge') depends on
       ('ebuild', '/', 'gnome-base/gnome-keyring-2.20.3', 'merge') (hard)
       ('ebuild', '/', 'gnome-base/libbonoboui-2.20.0', 'merge') (hard)
       ('ebuild', '/', 'gnome-base/gnome-vfs-2.20.1-r1', 'merge') (hard)
       ('ebuild', '/', 'gnome-base/gconf-2.20.1-r1', 'merge') (hard)
       ('ebuild', '/', 'x11-libs/gtk+-2.12.8', 'merge') (hard)
       ('ebuild', '/', 'gnome-base/libgnomecanvas-2.20.1.1', 'merge') (hard)
       ('ebuild', '/', 'x11-libs/pango-1.18.4', 'merge') (hard)
       ('ebuild', '/', 'gnome-base/libgnome-2.20.1.1', 'merge') (hard)
       ('ebuild', '/', 'gnome-base/libglade-2.6.2', 'merge') (hard)
    ('ebuild', '/', 'media-libs/libwmf-0.2.8.4', 'merge') depends on
       ('ebuild', '/', 'x11-libs/gtk+-2.12.8', 'merge') (hard)
       ('ebuild', '/', 'app-text/ghostscript-gpl-8.61-r3', 'merge') (hard)
       ('ebuild', '/', 'virtual/ghostscript-0', 'merge') (hard)
    ('ebuild', '/', 'app-text/ghostscript-gpl-8.61-r3', 'merge') depends on
       ('ebuild', '/', 'x11-libs/gtk+-2.12.8', 'merge') (hard)
    ('ebuild', '/', 'gnome-extra/libgsf-1.14.7', 'merge') depends on
       ('ebuild', '/', 'media-gfx/imagemagick-6.3.7.9', 'merge') (medium-soft)
       ('ebuild', '/', 'gnome-base/gnome-vfs-2.20.1-r1', 'merge') (hard)
       ('ebuild', '/', 'gnome-base/gconf-2.20.1-r1', 'merge') (hard)
    ('ebuild', '/', 'dev-python/pygtk-2.12.0', 'merge') depends on
       ('ebuild', '/', 'x11-libs/gtk+-2.12.8', 'merge') (hard)
       ('ebuild', '/', 'dev-python/pycairo-1.4.12', 'merge') (hard)
       ('ebuild', '/', 'x11-libs/gtkglarea-1.99.0', 'merge') (hard)
       ('ebuild', '/', 'x11-libs/pango-1.18.4', 'merge') (hard)
       ('ebuild', '/', 'gnome-base/libglade-2.6.2', 'merge') (hard)
    ('ebuild', '/', 'gnome-base/libgnomecanvas-2.20.1.1', 'merge') depends on
       ('ebuild', '/', 'gnome-base/gail-1.20.2', 'merge') (hard)
       ('ebuild', '/', 'x11-libs/pango-1.18.4', 'merge') (hard)
       ('ebuild', '/', 'x11-libs/gtk+-2.12.8', 'merge') (hard)
       ('ebuild', '/', 'gnome-base/libglade-2.6.2', 'merge') (hard)
    ('ebuild', '/', 'x11-libs/libwnck-2.20.3', 'merge') depends on
       ('ebuild', '/', 'x11-libs/gtk+-2.12.8', 'merge') (hard)
    ('ebuild', '/', 'gnome-base/eel-2.20.0', 'merge') depends on
       ('ebuild', '/', 'gnome-base/gnome-menus-2.20.3', 'merge') (hard)
       ('ebuild', '/', 'gnome-base/gnome-vfs-2.20.1-r1', 'merge') (hard)
       ('ebuild', '/', 'gnome-base/gconf-2.20.1-r1', 'merge') (hard)
       ('ebuild', '/', 'gnome-base/libgnome-2.20.1.1', 'merge') (hard)
       ('ebuild', '/', 'gnome-base/gail-1.20.2', 'merge') (hard)
       ('ebuild', '/', 'gnome-base/libgnomeui-2.20.1.1', 'merge') (hard)
       ('ebuild', '/', 'gnome-base/gnome-desktop-2.20.3', 'merge') (hard)
       ('ebuild', '/', 'x11-libs/gtk+-2.12.8', 'merge') (hard)
       ('ebuild', '/', 'gnome-base/libglade-2.6.2', 'merge') (hard)
    ('ebuild', '/', 'gnome-base/gail-1.20.2', 'merge') depends on
       ('ebuild', '/', 'x11-libs/gtk+-2.12.8', 'merge') (hard)
    ('ebuild', '/', 'gnome-base/gnome-keyring-2.20.3', 'merge') depends on
       ('ebuild', '/', 'x11-libs/gtk+-2.12.8', 'merge') (hard)
    ('ebuild', '/', 'gnome-base/gnome-menus-2.20.3', 'merge') depends on
       ('ebuild', '/', 'dev-python/pygtk-2.12.0', 'merge') (hard)
    ('ebuild', '/', 'gnome-base/gnome-desktop-2.20.3', 'merge') depends on
       ('ebuild', '/', 'gnome-base/gnome-vfs-2.20.1-r1', 'merge') (hard)
       ('ebuild', '/', 'x11-libs/gtk+-2.12.8', 'merge') (hard)
       ('ebuild', '/', 'gnome-base/libgnomeui-2.20.1.1', 'merge') (hard)
       ('ebuild', '/', 'gnome-base/gconf-2.20.1-r1', 'merge') (hard)
       ('ebuild', '/', 'gnome-base/libgnomecanvas-2.20.1.1', 'merge') (hard)
    ('ebuild', '/', 'net-misc/networkmanager-0.6.5_p20070823', 'merge') depends on
       ('ebuild', '/', 'gnome-base/gnome-keyring-2.20.3', 'merge') (hard)
       ('ebuild', '/', 'gnome-base/gnome-panel-2.20.3', 'merge') (hard)
       ('ebuild', '/', 'x11-libs/gtk+-2.12.8', 'merge') (hard)
       ('ebuild', '/', 'gnome-base/libgnomeui-2.20.1.1', 'merge') (hard)
       ('ebuild', '/', 'gnome-base/gconf-2.20.1-r1', 'merge') (hard)
       ('ebuild', '/', 'gnome-extra/nm-applet-0.6.5', 'merge') (medium-soft)
       ('ebuild', '/', 'gnome-base/libglade-2.6.2', 'merge') (hard)
    ('ebuild', '/', 'dev-libs/DirectFB-0.9.25.1', 'merge') depends on
       ('ebuild', '/', 'media-libs/libsdl-1.2.11-r2', 'merge') (hard)
    ('ebuild', '/', 'x11-libs/pango-1.18.4', 'merge') depends on
       ('ebuild', '/', 'x11-libs/cairo-1.4.12', 'merge') (hard)
    ('ebuild', '/', 'gnome-base/libgnomeprintui-2.18.2', 'merge') depends on
       ('ebuild', '/', 'gnome-base/libgnomecanvas-2.20.1.1', 'merge') (hard)
       ('ebuild', '/', 'gnome-base/libgnomeprint-2.18.4', 'merge') (hard)
       ('ebuild', '/', 'x11-libs/gtk+-2.12.8', 'merge') (hard)
    ('ebuild', '/', 'gnome-base/libgnomeprint-2.18.4', 'merge') depends on
       ('ebuild', '/', 'x11-libs/pango-1.18.4', 'merge') (hard)
    ('ebuild', '/', 'gnome-base/gconf-2.20.1-r1', 'merge') depends on
       ('ebuild', '/', 'x11-libs/gtk+-2.12.8', 'merge') (hard)
    ('ebuild', '/', 'x11-misc/notification-daemon-0.3.7', 'merge') depends on
       ('ebuild', '/', 'gnome-base/gconf-2.20.1-r1', 'merge') (hard)
       ('ebuild', '/', 'x11-libs/gtk+-2.12.8', 'merge') (hard)
       ('ebuild', '/', 'x11-libs/libwnck-2.20.3', 'merge') (hard)
       ('ebuild', '/', 'x11-libs/libsexy-0.1.11', 'merge') (hard)
    ('ebuild', '/', 'x11-libs/gtk+-2.12.8', 'merge') depends on
       ('ebuild', '/', 'x11-libs/pango-1.18.4', 'merge') (hard)
       ('ebuild', '/', 'x11-libs/cairo-1.4.12', 'merge') (hard)
    ('ebuild', '/', 'x11-libs/libsexy-0.1.11', 'merge') depends on
       ('ebuild', '/', 'x11-libs/gtk+-2.12.8', 'merge') (hard)
       ('ebuild', '/', 'x11-libs/pango-1.18.4', 'merge') (hard)
    ('ebuild', '/', 'gnome-base/nautilus-2.20.0-r1', 'merge') depends on
       ('ebuild', '/', 'gnome-base/eel-2.20.0', 'merge') (hard)
       ('ebuild', '/', 'gnome-base/gnome-desktop-2.20.3', 'merge') (hard)
       ('ebuild', '/', 'x11-libs/pango-1.18.4', 'merge') (hard)
       ('ebuild', '/', 'gnome-base/libgnomeui-2.20.1.1', 'merge') (hard)
       ('ebuild', '/', 'gnome-base/librsvg-2.20.0', 'merge') (hard)
       ('ebuild', '/', 'x11-libs/gtk+-2.12.8', 'merge') (hard)
       ('ebuild', '/', 'gnome-base/libgnome-2.20.1.1', 'merge') (hard)
       ('ebuild', '/', 'gnome-base/gconf-2.20.1-r1', 'merge') (hard)
       ('ebuild', '/', 'gnome-base/gnome-vfs-2.20.1-r1', 'merge') (hard)
    
    !!! Note that circular dependencies can often be avoided by temporarily
    !!! disabling USE flags that trigger optional dependencies.
    
    Aussehen tut es so...

    Grüße,
    Nathan
     
  7. #6 Edward Nigma, 19.03.2008
    Zuletzt bearbeitet: 19.03.2008
    Edward Nigma

    Edward Nigma Back again!

    Dabei seit:
    30.08.2003
    Beiträge:
    1.193
    Zustimmungen:
    1
    Ort:
    Erde
    touch /etc/portage/package.keywords

    echo "gnome-base/control-center ~x86" >> /etc/portage/package.keywords

    Dann funktionierts auch. Pakete ist nämlich nur ~ (unstable) und nicht M (hardmask).

    EDIT: So stimmts! Eben das war Blödsinn.
     
  8. Anzeige

    Vielleicht findest du HIER Antworten.
    Registrieren bzw. einloggen, um diese und auch andere Anzeigen zu deaktivieren
  9. Psyjo

    Psyjo Routinier

    Dabei seit:
    15.11.2005
    Beiträge:
    259
    Zustimmungen:
    0
    Ort:
    Hinter'm Berg
    Wenn du Mit Gentoo erst anfängst dann lass den Spaß mit dem 'ACCEPT_KEYWORDS="~x86"', nimm dir erstmal ein stable-System. Wenn du damit dann zurecht kommst kannst du immer noch auf unstable wechseln oder du demaskierst die Pakete einzeln.

    Psyjo
     
  10. #8 doc, 20.03.2008
    Zuletzt bearbeitet: 20.03.2008
    doc

    doc Kaffeetrinker

    Dabei seit:
    26.08.2006
    Beiträge:
    586
    Zustimmungen:
    0
    Ort:
    bremen
    nee seh ich nich so, er hat doch schon keyword="~x86"

    The EAPI variable in an ebuild(5) file is used to mask packages that are not supported by the current version of portage. Packages masked by EAPI can only be installed after portage has been upgraded.

    also:

    Code:
    emerge --sync
    
    emerge portage
    
    dann sollte es gehen ...

    Code:
    emerge -uvDN world 
    würde das problem bestimmt auch lösen, und kann ich auch nur empfehlen nach nem neuinstall, vor allem wenn du

    keyword="~x86" setzt isses pflicht

    wenn dein system bisher stable war und du gerade erst keyword="~x86" eingestell hast, und noch kein emerge -uvDN world gemacht hast, bzw. unstable pakete installiert hast, dann würde ich auch bei stable bleiben, an deiner stelle, vor allem wenn du bis montag fertig werden musst ;)
     
Thema:

Problem mit emerge... (Masked Packages)

Die Seite wird geladen...

Problem mit emerge... (Masked Packages) - Ähnliche Themen

  1. probleme bei emergen von x11-libs/libview

    probleme bei emergen von x11-libs/libview: >> Sending package output to stdio due to interactive package(s): app-emulation/vmware-workstation-6.5.0.118166 >>> Verifying ebuild manifests...
  2. Problem beim Emergen

    Problem beim Emergen: Hallo, ich habe seit neustem ein Problem mit dem Emergen von Paketen unter Gentoo Linux. Wenn ich z. B. gnucash (wie neulich) oder ein anderes...
  3. Problem beim emergen (xml parser)

    Problem beim emergen (xml parser): Hallo ich hab seit kurzen bei zwei verschiedenen ebuilds beim compilieren folgende fehlermeldung bekommen: >>> Unpacking source... >>>...
  4. emerge Probleme

    emerge Probleme: Hi all, hat jmd ne Ahnung was mit Portage los ist??? Habe vor 3 Tagen mir ein neues Gentoo-System aufgesetzt mit X-Server. Am nächsten Tage...
  5. Probleme bei/nach emerge -avuDN world

    Probleme bei/nach emerge -avuDN world: Probleme bei/nach emerge -avuDN world[SOLVED] Hallo, ich hab in den letzten zwei Tagen Gentoo neu aufgesetzt, was auch soweit prima lief. Jetzt...